---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ObjectConverter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ObjectConverter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ObjectConverter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implicit converter for settable properties.  
 <a href="classtgui_1_1ObjectConverter.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="ObjectConverter_8hpp_source.html">ObjectConverter.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a945143134d343b5425384481c22fe99b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a945143134d343b5425384481c22fe99b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a945143134d343b5425384481c22fe99b">ObjectConverter</a> ()</td></tr>
<tr class="memdesc:a945143134d343b5425384481c22fe99b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor, to create an empty object. <br /></td></tr>
<tr class="separator:a945143134d343b5425384481c22fe99b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646d4843a952f35aa5f99b1a0e1a6462"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a646d4843a952f35aa5f99b1a0e1a6462">ObjectConverter</a> (const std::shared_ptr&lt; sf::Font &gt; &amp;font)</td></tr>
<tr class="memdesc:a646d4843a952f35aa5f99b1a0e1a6462"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store a font object for later retrieval.  <a href="#a646d4843a952f35aa5f99b1a0e1a6462">More...</a><br /></td></tr>
<tr class="separator:a646d4843a952f35aa5f99b1a0e1a6462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9429a9a626b102aac35c0147efcb001"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#ac9429a9a626b102aac35c0147efcb001">ObjectConverter</a> (const sf::Color &amp;color)</td></tr>
<tr class="memdesc:ac9429a9a626b102aac35c0147efcb001"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store a color object for later retrieval.  <a href="#ac9429a9a626b102aac35c0147efcb001">More...</a><br /></td></tr>
<tr class="separator:ac9429a9a626b102aac35c0147efcb001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68cb99d401c69d04ea17451562a91cd9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a68cb99d401c69d04ea17451562a91cd9">ObjectConverter</a> (const sf::String &amp;string)</td></tr>
<tr class="memdesc:a68cb99d401c69d04ea17451562a91cd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store a string for later retrieval.  <a href="#a68cb99d401c69d04ea17451562a91cd9">More...</a><br /></td></tr>
<tr class="separator:a68cb99d401c69d04ea17451562a91cd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a330c1798b265240af35f599ec3354ed1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a330c1798b265240af35f599ec3354ed1">ObjectConverter</a> (float number)</td></tr>
<tr class="memdesc:a330c1798b265240af35f599ec3354ed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store a number for later retrieval.  <a href="#a330c1798b265240af35f599ec3354ed1">More...</a><br /></td></tr>
<tr class="separator:a330c1798b265240af35f599ec3354ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3f6a32c0cbe734648d428e3a57118a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a0c3f6a32c0cbe734648d428e3a57118a">ObjectConverter</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a0c3f6a32c0cbe734648d428e3a57118a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store a borders object for later retrieval.  <a href="#a0c3f6a32c0cbe734648d428e3a57118a">More...</a><br /></td></tr>
<tr class="separator:a0c3f6a32c0cbe734648d428e3a57118a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b9b2c6141c4da66319f9f5a9d1c716b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a7b9b2c6141c4da66319f9f5a9d1c716b">ObjectConverter</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a7b9b2c6141c4da66319f9f5a9d1c716b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store a texture object for later retrieval.  <a href="#a7b9b2c6141c4da66319f9f5a9d1c716b">More...</a><br /></td></tr>
<tr class="separator:a7b9b2c6141c4da66319f9f5a9d1c716b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a0629b616a650d404682dfa245efdb"><td class="memItemLeft" align="right" valign="top">const std::shared_ptr&lt; sf::Font &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#ae0a0629b616a650d404682dfa245efdb">getFont</a> () const </td></tr>
<tr class="memdesc:ae0a0629b616a650d404682dfa245efdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the saved font.  <a href="#ae0a0629b616a650d404682dfa245efdb">More...</a><br /></td></tr>
<tr class="separator:ae0a0629b616a650d404682dfa245efdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae557713404143c140064162d88ae4168"><td class="memItemLeft" align="right" valign="top">const sf::Color &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#ae557713404143c140064162d88ae4168">getColor</a> () const </td></tr>
<tr class="memdesc:ae557713404143c140064162d88ae4168"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the saved color.  <a href="#ae557713404143c140064162d88ae4168">More...</a><br /></td></tr>
<tr class="separator:ae557713404143c140064162d88ae4168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b5a98337055d63ecd032c4d822561b8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a0b5a98337055d63ecd032c4d822561b8">getBorders</a> () const </td></tr>
<tr class="memdesc:a0b5a98337055d63ecd032c4d822561b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the saved borders.  <a href="#a0b5a98337055d63ecd032c4d822561b8">More...</a><br /></td></tr>
<tr class="separator:a0b5a98337055d63ecd032c4d822561b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b4ca2bb1aa38bd56b02deb0f65b64ec"><td class="memItemLeft" align="right" valign="top">const sf::String &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a4b4ca2bb1aa38bd56b02deb0f65b64ec">getString</a> () const </td></tr>
<tr class="memdesc:a4b4ca2bb1aa38bd56b02deb0f65b64ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the saved string.  <a href="#a4b4ca2bb1aa38bd56b02deb0f65b64ec">More...</a><br /></td></tr>
<tr class="separator:a4b4ca2bb1aa38bd56b02deb0f65b64ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c607c5c3be4e8d3c04b7ab487b19dfa"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a6c607c5c3be4e8d3c04b7ab487b19dfa">getNumber</a> () const </td></tr>
<tr class="memdesc:a6c607c5c3be4e8d3c04b7ab487b19dfa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the saved number.  <a href="#a6c607c5c3be4e8d3c04b7ab487b19dfa">More...</a><br /></td></tr>
<tr class="separator:a6c607c5c3be4e8d3c04b7ab487b19dfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13e57633be50fce2300a6c60ddd2677d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a13e57633be50fce2300a6c60ddd2677d">getTexture</a> () const </td></tr>
<tr class="memdesc:a13e57633be50fce2300a6c60ddd2677d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the saved texture.  <a href="#a13e57633be50fce2300a6c60ddd2677d">More...</a><br /></td></tr>
<tr class="separator:a13e57633be50fce2300a6c60ddd2677d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f4c638809b599c83643e1d9704bf2ee"><td class="memItemLeft" align="right" valign="top">Type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ObjectConverter.html#a4f4c638809b599c83643e1d9704bf2ee">getType</a> () const </td></tr>
<tr class="memdesc:a4f4c638809b599c83643e1d9704bf2ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the type of the object that has been stored.  <a href="#a4f4c638809b599c83643e1d9704bf2ee">More...</a><br /></td></tr>
<tr class="separator:a4f4c638809b599c83643e1d9704bf2ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implicit converter for settable properties. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a646d4843a952f35aa5f99b1a0e1a6462"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ObjectConverter::ObjectConverter </td>
          <td>(</td>
          <td class="paramtype">const std::shared_ptr&lt; sf::Font &gt; &amp;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Store a font object for later retrieval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td><a class="el" href="classtgui_1_1Font.html">Font</a> to store </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac9429a9a626b102aac35c0147efcb001"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ObjectConverter::ObjectConverter </td>
          <td>(</td>
          <td class="paramtype">const sf::Color &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Store a color object for later retrieval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td><a class="el" href="classtgui_1_1Color.html" title="Implicit converter for colors. ">Color</a> to store </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a68cb99d401c69d04ea17451562a91cd9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ObjectConverter::ObjectConverter </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>string</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Store a string for later retrieval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">string</td><td>String to store </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a330c1798b265240af35f599ec3354ed1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ObjectConverter::ObjectConverter </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>number</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Store a number for later retrieval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">number</td><td>Number to store </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0c3f6a32c0cbe734648d428e3a57118a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ObjectConverter::ObjectConverter </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;&#160;</td>
          <td class="paramname"><em>borders</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Store a borders object for later retrieval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borders</td><td><a class="el" href="classtgui_1_1Borders.html">Borders</a> to store </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7b9b2c6141c4da66319f9f5a9d1c716b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ObjectConverter::ObjectConverter </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Store a texture object for later retrieval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td><a class="el" href="classtgui_1_1Texture.html">Texture</a> to store </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a0b5a98337055d63ecd032c4d822561b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtgui_1_1Borders.html">Borders</a>&amp; tgui::ObjectConverter::getBorders </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the saved borders. </p>
<dl class="section return"><dt>Returns</dt><dd>The saved borders</dd></dl>
<p>This function will assert when something other than a borders was saved </p>

</div>
</div>
<a class="anchor" id="ae557713404143c140064162d88ae4168"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const sf::Color&amp; tgui::ObjectConverter::getColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the saved color. </p>
<dl class="section return"><dt>Returns</dt><dd>The saved color</dd></dl>
<p>This function will assert when something other than a color was saved </p>

</div>
</div>
<a class="anchor" id="ae0a0629b616a650d404682dfa245efdb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::shared_ptr&lt;sf::Font&gt;&amp; tgui::ObjectConverter::getFont </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the saved font. </p>
<dl class="section return"><dt>Returns</dt><dd>The saved font</dd></dl>
<p>This function will assert when something other than a font was saved </p>

</div>
</div>
<a class="anchor" id="a6c607c5c3be4e8d3c04b7ab487b19dfa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float tgui::ObjectConverter::getNumber </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the saved number. </p>
<dl class="section return"><dt>Returns</dt><dd>The saved number</dd></dl>
<p>This function will assert when something other than a number was saved </p>

</div>
</div>
<a class="anchor" id="a4b4ca2bb1aa38bd56b02deb0f65b64ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const sf::String&amp; tgui::ObjectConverter::getString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the saved string. </p>
<dl class="section return"><dt>Returns</dt><dd>The saved string</dd></dl>
<p>This function will assert when something other than a string was saved </p>

</div>
</div>
<a class="anchor" id="a13e57633be50fce2300a6c60ddd2677d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtgui_1_1Texture.html">Texture</a>&amp; tgui::ObjectConverter::getTexture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the saved texture. </p>
<dl class="section return"><dt>Returns</dt><dd>The saved texture</dd></dl>
<p>This function will assert when something other than a texture was saved </p>

</div>
</div>
<a class="anchor" id="a4f4c638809b599c83643e1d9704bf2ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Type tgui::ObjectConverter::getType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the type of the object that has been stored. </p>
<dl class="section return"><dt>Returns</dt><dd>The stored object type </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Loading/<a class="el" href="ObjectConverter_8hpp_source.html">ObjectConverter.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
